Bug 557428 - Apache: the field 'Path To Contain Virtual Hosts Files' should not be mandatory if option 'In the main configuration file' is selected.
Apache: the field 'Path To Contain Virtual Hosts Files' should not be mandato...
Status: CLOSED CANTFIX
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
1.4
x86_64 Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
: SubBug
Depends On:
Blocks: rhq_spearhead jon24-apache
  Show dependency treegraph
 
Reported: 2010-01-21 07:44 EST by Sunil Kondkar
Modified: 2010-05-18 13:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 13:34:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sunil Kondkar 2010-01-21 07:44:10 EST
Description of problem:

In apache server resource->Inventory tab->Connection->'Virtual Hosts' section, if option 'In the main configuration file' is selected, the field 'Path To Contain Virtual Hosts Files' should not be mandatory.
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

1.Navigate to apache server resource->Inventory tab.
2.Click on 'Connection' subtab.
3.Click on 'Edit' button.
4.In 'Virtual Hosts' section select the option 'In the main configuration file' 
5.Keep the field 'Path To Contain Virtual Hosts Files' blank.
6.Click 'OK' button.
7.It displays a message 'For property "Path To Contain Virtual Hosts Files", a value is required.'

Actual results:

The field 'Path To Contain Virtual Hosts Files' is mandatory if option 'In the main configuration file' is selected.

Expected results:

The field 'Path To Contain Virtual Hosts Files' should not be mandatory if option 'In the main configuration file' is selected.

Additional info:
Comment 1 wes hayutin 2010-02-16 11:56:07 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 12:01:13 EST
making sure we're not missing any bugs in rhq_triage
Comment 3 Charles Crouch 2010-05-18 10:13:58 EDT
Our configuration component doesn't currently support this.

Note You need to log in before you can comment on or make changes to this bug.